=== debian/changelog ===
insighttoolkit (3.20.1+git20120521-6build1) xenial; urgency=high

  * No change rebuild against gdcm2.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Dec 2015 08:07:18 +0000

insighttoolkit (3.20.1+git20120521-6) unstable; urgency=medium

  * patches/vcl-dunno-about-this-gcc.patch: New.  Upstream patch to build
    VCL with GCC 5.  Closes: #777912.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Jul 2015 00:41:27 -0500

insighttoolkit (3.20.1+git20120521-5) unstable; urgency=low

  * Team upload
  * d/c.in: moving libfftw3-dev from Recommends to Depends
    for libinsighttoolkit3-dev (Closes: #740628)
  * Cherry-picked snan-sanity.patch from ubuntu (Closes: #740705)  

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 09 Mar 2014 07:41:21 +0100

insighttoolkit (3.20.1+git20120521-4) unstable; urgency=low

  * Use dch/9 to get hardening flags correct
  * Do not use cmake build system flags. Closes: #732288
  * Fix TIFF5 compilation. Closes: #732709
    Use libtiff copy, remove B-D libtiff-dev
  * Use XZ compression
  * Remove obsolete DMUA flag
    - Bump Std-Vers to 3.9.5

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Dec 2013 11:28:43 +0100

insighttoolkit (3.20.1+git20120521-3) unstable; urgency=low

  * Fix a sanity check yielding false negatives. Closes: #682805
    + debian/patches/nan-i386.patch

 -- Mathieu Malaterre <malat@debian.org>  Sat, 28 Jul 2012 17:10:41 +0200

insighttoolkit (3.20.1+git20120521-2) unstable; urgency=low

  * Fix gcc 4.7.1 build failure of wrapitk-python. Closes: #667417
    + debian/patches/bug667417.patch

 -- Mathieu Malaterre <malat@debian.org>  Thu, 26 Jul 2012 17:38:47 +0200

insighttoolkit (3.20.1+git20120521-1) unstable; urgency=low

  * New upstream.  Includes many GCC 4.7 fixes.  Closes: #673816, #673768.
  
  * patches/ftbfs-gcc-4.7.diff: remove.

 -- Steve M. Robbins <smr@debian.org>  Tue, 22 May 2012 22:54:09 -0500

insighttoolkit (3.20.1-8) unstable; urgency=low

  * Fix VolView compilation. Closes: #667411
  * Add math lib for openjpeg. Closes: #672866
  * Add math lib for ITKNrrdIO. Closes: #672869
  * d/rules: Fix dh_clean rules
  * d/rules: Add hardening flags. Remove overlinking
  * d/control: Remove ${shlibs:Depends} from insighttoolkit3-examples

 -- Mathieu Malaterre <malat@debian.org>  Tue, 15 May 2012 09:10:22 +0200

insighttoolkit (3.20.1-7) unstable; urgency=low

  * Revert last change back to libtiff-dev

 -- Mathieu Malaterre <malat@debian.org>  Thu, 10 May 2012 11:47:07 +0200

insighttoolkit (3.20.1-6) unstable; urgency=low

  [ Matthias Klose ]
  * Fix build failure with GCC 4.7. Closes: #671438

  [ Mathieu Malaterre ]
  * Use my @d.o alias
  * Use libpng-dev. Closes: #662379
  * Fix compilation with png1.5. Closes: #648136
  * Bump Std-Vers to 3.9.3, no changes needed
  * Use libtiff5 now that vtk uses it

 -- Mathieu Malaterre <malat@debian.org>  Tue, 08 May 2012 22:38:45 +0200

insighttoolkit (3.20.1-5) unstable; urgency=low

  * patches/gzgetc.patch: New.  Former function ::gzgetc() is now a macro,
    so call as "gzgetc()".  Fixes build failure (Closes: #663570).

 -- Steve M. Robbins <smr@debian.org>  Wed, 14 Mar 2012 21:25:01 -0500

insighttoolkit (3.20.1-4) unstable; urgency=low

  * Revert to using ITK copy of VXL.  Closes: #657943.  The change to
    system VXL needs to be coordinated since it means libraries such as
    libitkvnl_algo are no longer present, breaking dependent packages.

  * patches/itkvtkglue-vtk58.patch: New.  Patch ITKVTK module to be
    compatible with VTK 5.8.  Thanks, Paul Novotny.
  
 -- Steve M. Robbins <smr@debian.org>  Mon, 30 Jan 2012 20:52:30 -0600
